summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_functions.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2007-03-02 09:16:26 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:49:04 -0500
commitb9df742fb4499563a7fc456f29039e1de9198d1e (patch)
treee18481b5dba1d48b6fba6367b8ad14aa8c4b4e94 /source4/script/tests/test_functions.sh
parent0fff7ba143022d36064433e4494d83f9ba7d9944 (diff)
downloadsamba-b9df742fb4499563a7fc456f29039e1de9198d1e.tar.gz
samba-b9df742fb4499563a7fc456f29039e1de9198d1e.tar.bz2
samba-b9df742fb4499563a7fc456f29039e1de9198d1e.zip
r21649: Update self test scripts to start Fedora DS. This requires current
Fedora DS CVS, plus changes to split up 00core.ldif. Now we 'just' need to work to make the tests pass... Andrew Bartlett (This used to be commit d214cb1ccf1b30cd5cb81f98382626c609b23fa3)
Diffstat (limited to 'source4/script/tests/test_functions.sh')
-rwxr-xr-xsource4/script/tests/test_functions.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/source4/script/tests/test_functions.sh b/source4/script/tests/test_functions.sh
index 9b869782cd..7f363fd04a 100755
--- a/source4/script/tests/test_functions.sh
+++ b/source4/script/tests/test_functions.sh
@@ -77,6 +77,13 @@ slapd_start() {
return $?;
}
+fedora_ds_start() {
+# running slapd in the background means it stays in the same process group, so it can be
+# killed by timelimit
+ $FEDORA_DS_PREFIX/sbin/ns-slapd -D $FEDORA_DS_DIR -d0 &
+ return $?;
+}
+
testit() {
name=$1
shift 1